/* evermem.c */

/* May 3, 1994 */

/* This file provides a wrapper around calls to malloc, calloc, realloc,
   and free, so that I can user David Long's memory manager instead. */

/* 7 December 1996 AJH -- Changed types to void * */

#include "ever.h"
#include "memuser.h"

/*int Mem_Op_Count = 0;*/

void *malloc(unsigned size)
{
	/*fprintf(stderr,"(m%d)",++Mem_Op_Count);*/
	return (char *)mem_get_block((long)size);
}

void free(void *ptr)
{
	/*fprintf(stderr,"(f%d)",--Mem_Op_Count);*/
	mem_free_block(ptr);
	return;
}

void *realloc(void *ptr, unsigned size)
{
	/*fprintf(stderr,"(r%d)",++Mem_Op_Count);*/
	return (void *)mem_resize_block(ptr,(long)size);
}

void *calloc(unsigned nelem, unsigned elsize)
{
	/*fprintf(stderr,"(c%d)",++Mem_Op_Count);*/
	return (void *)mem_get_block((long)nelem*elsize);
}

