/* Copyright 1991 by Alan J. Hu. */
/* All rights reserved. */

/* EVER Routines For Image Computation */
/* By Alan J. Hu */
/* August 6, 1991 */
/* Split into Separate File on September 11, 1994. */

/* IF YOU USE THIS FILE, YOU MUST INCLUDE "everlist.h" FIRST. */

bdd compute_forward_image(bdd x, uneval_prop next, int force);
	/* Computes image next(x).  If you modify this, be sure to
	   update compute_backward_image as well. */

bdd compute_backward_image(bdd y, uneval_prop next);
	/* Computes image pred(y).  If you modify this, be sure to
	   update compute_forward_image as well. */

conjunct_list over_approx_forward_image_conjunct_list(uneval_prop next,
						      conjunct_list x);
	/* Forward image of a conjunct list is not easy if we don't want
	   to evaluate the conjunction.  Instead, I'll over-approximate
	   Image(x1&x2&...&xn) as Image(x1)&...&Image(xn). --AJH 5 May 1994 */

bdd pre_image_bdd(uneval_prop next, bdd x);
	/* Returns the PreImage of x under next. */
	/* Does the phase conversion and then calls compute_forward_image. */

bdd inv_image_bdd(uneval_prop next, bdd x);
	/* Returns the BackImage of x under next. */
	/* BackImage is the largest set all of whose successors are in x. */

conjunct_list inv_image(uneval_prop next, conjunct_list x);
	/* Returns the inverse image of x under next. */
	/* Inverse image is defined as the largest set all of whose
		successors are in x. */

conjunct_list inv_image_ic(uneval_prop next, conjunct_list x);
	/* Computes "inverse image" (now called backward image) of
	   x under next, but recursively descends the nextstate relation,
	   and doesn't recombine intermediate results, yielding a really
	   long implicit conjunction as the result. */

conjunct_list inv_image_ic_OLD(uneval_prop next, conjunct_list x);
	/* Computes "inverse image" (now called backward image) of
	   x under next, but exploits top-level ORs in next to
	   expand the size of the returned image.  (Does each rule
	   separately. */
	/* This is now replaced by the new inv_image_ic, which computes
	   the backward image, but recursively descends the nextstate relation,
	   and doesn't recombine intermediate results, yielding a really
	   long implicit conjunction as the result. */

bdd inv_image_bdd_care_set(uneval_prop next, bdd x, conjunct_list c);
	/* Computes BackImage (formerly "inverse image") of x under next,
	   using c as a care set on the result. */

conjunct_list inv_image_care_set(uneval_prop next,
				conjunct_list x,
				conjunct_list c);
	/* Computes BackImage (formerly "inverse image") of x under next,
	   using c as a care set on the result. */

disjunct_list image_id(uneval_prop next, disjunct_list x);
	/* Computes forward image of x, recursively descending the
	   nextstate relation and not combining intermediate results to
	   yield a long implicit disjunction. */
